Page MenuHomePhabricator

WMF to integrate, consolidate, and pause or stop stalled initiatives
Closed, InvalidPublic

Description

This is one of the actions of the WMF-Call-To-Action, part of Support innovation & new knowledge.

More details to come.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Qgil created this task.May 6 2015, 4:28 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: WMF-Call-To-Action.
Qgil added subscribers: Qgil, Aklapper.
Qgil added a subscriber: greg.May 11 2015, 8:34 AM

@greg, I was about to list T18: Plan to migrate code review from Gerrit to Phabricator as blocker of this task but I thought about asking you first. :)

greg added a comment.May 11 2015, 2:15 PM

Is not "stalled" == "paused" or "stopped"? But, specifically, it (Gerrit -> Differential) is paused (though there is "20% time" spent on it) for now until next quarter.

Qgil added a comment.May 11 2015, 9:21 PM

Sorry, what I meant was: the investment in Gerrit is stalled and it's a dead end for us, hence the investment in integrating and consolidating code review in Phabricator, together with the project management processes already migrated.

I was checking what was the involvement of my team in each point of the Call to Action, and the association between this task and the code review migration came to mind. I find that projects contributing to the Call to Action have a double reason to be approved and executed, so there. :)

greg added a comment.May 12 2015, 12:03 AM

Sorry, what I meant was: the investment in Gerrit is stalled and it's a dead end for us, hence the investment in integrating and consolidating code review in Phabricator, together with the project management processes already migrated.

AAhhhhhhhhhhhhhh

I was checking what was the involvement of my team in each point of the Call to Action, and the association between this task and the code review migration came to mind. I find that projects contributing to the Call to Action have a double reason to be approved and executed, so there. :)

:) +1

Elitre added a subscriber: Elitre.Jun 10 2015, 2:38 PM
Nemo_bis added a subscriber: Nemo_bis.EditedJul 11 2015, 9:51 AM

Now that the project information template automatically adds quarter categories, it would be useful to check whether it's true that all this stuff is worked on (and if not, set the appropriate end date): https://www.mediawiki.org/wiki/Category:WMF_Projects_2015q3 currently has 106 members.

it would be useful to check whether it's true that all this stuff is worked on (and if not, set the appropriate end date): https://www.mediawiki.org/wiki/Category:WMF_Projects_2015q3 currently has 106 members.

Ok, people had helped remove some 10 pages and now I've set an end for about 30 more: https://www.mediawiki.org/w/index.php?title=Special:Contributions&dir=prev&offset=20150727064345&limit=30&target=Nemo+bis

FINCH (see T76809#1592472 and following) might be an example here for a "pause/stalled" WMF initiative combined with potentially unclear responsibilities.
I don't feel like I know whether to archive the Phabricator project and decline its tasks or not, and its extension homepage is outdated vaporware.

...or T115430: Undeploy the 'Cologne Blue' and 'Modern' skins from Wikimedia production, as no-one is keeping them working which is about the open question which skins to have available on Wikimedia wikis.

Those skins are not a WMF initiative though, is this task for everyone's initiatives?

it would be useful to check whether it's true that all this stuff is worked on (and if not, set the appropriate end date): https://www.mediawiki.org/wiki/Category:WMF_Projects_2015q3 currently has 106 members.

Great, under 50 now! https://www.mediawiki.org/wiki/Category:WMF_Projects_2015q4

T127509 may be considered a subtask.

Jay8g added a subscriber: Jay8g.Mar 20 2016, 3:57 AM
Qgil closed this task as Invalid.Apr 22 2016, 8:44 AM

Invalid, as per T98348#2229948.